#!/usr/bin/env python3
#
# Copyright 2018 Fairphone B.V.
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#      http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.
#

import setuptools

with open("README.rst", "r") as f:
    LONG_DESCRIPTION = f.read()

setuptools.setup(
    name="android-maestro",
    version="0.1",
    author="Fairphone B.V.",
    description=("An orchestrator of Android devices system load"),
    long_description=LONG_DESCRIPTION,
    long_description_content_type="text/x-rst",
    url=(
        "https://code.fairphone.com/gerrit/gitweb"
        "?p=vendor/fairphone/tools.git;f=android-maestro;a=history;hb=HEAD"
    ),
    packages=setuptools.find_packages(),
    python_requires="~=3.6",
    install_requires=["android-tools~=0.1"],
    dependency_links=[
        (
            "git+ssh://review.fairphone.software/vendor/fairphone/tools"
            "#subdirectory=python-libs/android-tools&egg=android-tools-0.1"
        )  # TODO Replace with public URL when published
    ],
    entry_points={
        "console_scripts": ["maestro = android_maestro.__main__:main"]
    },
    classifiers=[
        "Development Status :: 3 - Alpha",
        "Intended Audience :: Developers",
        "License :: OSI Approved :: Apache Software License",
        "Operating System :: OS Independent",
        "Programming Language :: Python :: 3 :: Only",
        "Programming Language :: Python :: 3.6",
        "Topic :: System :: Hardware",
        "Topic :: System :: Shells",
    ],
)
